Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.launcher
Class SplashScreen

    java.lang.Object
      com.install4j.api.launcher.SplashScreen

    public class SplashScreen

extends java.lang.Object

This class allows you to control the splash screen of an install4j launcher from your Java code.

In order to use this class, please include `resource/i4jruntime.jar` from your install4j installation into your class path. You do not need to distribute this file along with your application, install4j will do this automatically for you.

Author:
  ej-technologies GmbH

Nested Class Summary
`static class` | `SplashScreen.ConnectionException` The exception thrown by methods of the `SplashScreen` class to indicate that a splash screen operation was not successful.

Method Summary
`static void` | `hide()` Programmatically hide the splash screen.
`static void` | `writeMessage(java.lang.String message)` Update the status text line of the splash screen with a different message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeMessage

    public static void writeMessage(java.lang.String message)
                             throws SplashScreen.ConnectionException

  Update the status text line of the splash screen with a different message.

  Parameters:
    `message` - the new text.
  Throws:
    `SplashScreen.ConnectionException` - if there is a communication problem

### hide

    public static void hide()
                     throws SplashScreen.ConnectionException

  Programmatically hide the splash screen. If the "auto-off" mode is enabled for the splash screen, programmatic hiding may not be necessary. In that case, the splash screen will disappear when first window is shown.

  Throws:
    `SplashScreen.ConnectionException` - if there is a communication problem

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD